Update Telemetry Config

Update Telemetry Config
Updates or creates the telemetry configuration, and returns the new configuration.

Updated telemetry config information.

Request
URI
PUT
https://{api_host}/ssp/telemetry/config
COPY
Request Body

Config information

TelemetryConfig of type(s) application/json
Required  
This request body class requires all of the following: ManagedResource , InlineTelemetryConfig2
{
    "_create_user": "string",
    "_create_time": 0,
    "_last_modified_user": "string",
    "_last_modified_time": 0,
    "_revision": 0,
    "_resource_type": "string",
    "_system_owned": false,
    "id": "string",
    "display_name": "string",
    "description": "string",
    "site_ids": [
        "string"
    ],
    "ceip_acceptance": false,
    "telemetry_agreement_displayed": false,
    "telemetry_collector_instance_id": "string",
    "telemetry_schedule": {
        "frequency_type": "string",
        "hour_of_day": 0,
        "minutes": 0,
        "day_of_week": "string",
        "day_of_month": 0
    }
}
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns TelemetryConfig of type(s) application/json
This response body class contains all of the following: ManagedResource , InlineTelemetryConfig2
{
    "_create_user": "string",
    "_create_time": 0,
    "_last_modified_user": "string",
    "_last_modified_time": 0,
    "_revision": 0,
    "_resource_type": "string",
    "_system_owned": false,
    "id": "string",
    "display_name": "string",
    "description": "string",
    "site_ids": [
        "string"
    ],
    "ceip_acceptance": false,
    "telemetry_agreement_displayed": false,
    "telemetry_collector_instance_id": "string",
    "telemetry_schedule": {
        "frequency_type": "string",
        "hour_of_day": 0,
        "minutes": 0,
        "day_of_week": "string",
        "day_of_month": 0
    }
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

4XX and 5XX type errors with appropriate message

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/ssp/telemetry/config